<?php

namespace Ulmus\Attribute\Property\Field;

#[\Attribute(\Attribute::TARGET_PROPERTY)]
class CreatedAt extends \Ulmus\Attribute\Property\Field {
    public function __construct(
        public ? string $name = null,
        public ? string $type = "timestamp",
        public array $attributes = [
            'default' => "CURRENT_TIMESTAMP",
        ],
        public bool $nullable = false,
        public mixed $default = null,
        public bool $readonly = false,
    ) {}
}
