<?php

namespace Ulmus\Attribute\Property\Field;

#[\Attribute(\Attribute::TARGET_PROPERTY)]
class UpdatedAt extends \Ulmus\Attribute\Property\Field
{
    public function __construct(
        public ? string $name = null,
        public ? string $type = "timestamp",
        public array $attributes = [
            'update' => "CURRENT_TIMESTAMP",
            'default' => null,
        ],
        public bool $nullable = true,
        public mixed $default = null,
        public bool $readonly = false,
    ) {}
}
